#ifndef DATASAVER_H
#define DATASAVER_H

#include <fstream>

namespace SANC {

class Info;
class Process;
class OutputFormat;

class DataSaver {
public:
    DataSaver(Info & _info, Process & _proc);
    ~DataSaver(){}
    void setOutput(std::ostream * _output);
    void start();
    void writeEvent(/*Event*/);
    void finish();

private:
Info & info;
Process & proc;
OutputFormat * writer = nullptr;
};

} // namespace SANC

#endif // DATASAVER_H